#pragma once
#include "unit.h"



class Thing : public Unit
{

  public:

    int                       m_SproingPos;

    int                       m_WalkSpeed;



    Thing();


    virtual void              Update( Level& Level, const GR::f32 fElapsedTime );
    virtual void              UpdateFixed( Level& Level );


    virtual void              ProcessEvent( Level& Level, const eUnitEvent& Event );

};
